Name: libtranslate
Summary: Natural language translation library
Version: 0.99
Release: 6%{?dist}
License: BSD
Group: System Environment/Libraries
%define url	http://savannah.nongnu.org/download/libtranslate
Source: %{url}/libtranslate-%{version}.tar.gz
Patch1: %{url}/libtranslate-0.99-charsetparse.diff
Patch2: %{url}/libtranslate-0.99-condfix.diff
Patch3: %{url}/libtranslate-0.99-int64.diff
Patch10: libtranslate-add_Promt_service.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: pkgconfig >= 1:0.8, gettext
BuildRequires: glib2-devel, libsoup-devel >= 2.2, libxml2-devel
BuildRequires: gnutls-devel, libgcrypt-devel
Requires: libsoup >= 2.2
URL: http://www.nongnu.org/libtranslate

%description 
Libtranslate is a library for translating text and web pages
between natural languages. Its modular infrastructure allows
to implement new translation services separately from the core library.

Libtranslate is shipped with a generic module supporting
web-based translation services such as Babel Fish, Google Language Tools
and SYSTRAN. Moreover, the generic module allows to add new services
simply by adding a few lines to a XML file (see libtranslate(5)).

The libtranslate distribution includes a powerful command line interface
(see translate(1)). GNOME GUI can be found as separate "gnome-translate"
package at the same web source.

%package devel
Summary: Natural language translation library, static libs and headers
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: pkgconfig >= 1:0.8

%description devel
The static libraries and header files for %{name} library.

%prep
%setup -q -n %{name}-%{version}
%patch1 -p0
%patch2 -p0
%patch3 -p0
%patch10 -p0

%build
%configure
make

pushd docs/man
iconv -f ISO8859-1 -t UTF8 <translate.1 > translate.1.new && \
					mv -f translate.1.new translate.1
popd

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall

pushd $RPM_BUILD_ROOT%{_mandir}/man5
mv -f services.xml.5 libtranslate.5
popd

rm -f $RPM_BUILD_ROOT%{_libdir}/*.la
rm -f $RPM_BUILD_ROOT%{_libdir}/libtranslate/modules/*.{la,a}

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(-, root, root)

%doc AUTHORS COPYING README
%{_libdir}/libtranslate.so.*
%{_libdir}/libtranslate/
%{_datadir}/libtranslate/
%{_bindir}/*
%{_mandir}/*/*

%files devel
%defattr(-, root, root)

%{_libdir}/libtranslate.so
%{_libdir}/*.a
%{_includedir}/libtranslate/
%{_datadir}/gtk-doc/html/*
%{_libdir}/pkgconfig/*

%changelog
* Tue Mar 21 2006 Dmitry Butskoy <Dmitry@Butskoy.name> - 0.99-6
- add upstream's patch fixing memory exhaustion on 64-bit platforms

* Wed Sep  7 2005 Dmitry Butskoy <Dmitry@Butskoy.name> - 0.99-4
- even more cleanups
- Accepted for Fedora Extra
  (review by Tom "spot" Callaway <tcallawa@redhat.com>)

* Fri Aug 19 2005 Dmitry Butskoy <Dmitry@Butskoy.name> - 0.99-3
- more cleanups

* Thu Aug 18 2005 Tom "spot" Callaway <tcallawa@redhat.com> - 0.99-2
- cleanups

* Mon Aug  8 2005 Dmitry Butskoy <Dmitry@Butskoy.name> - 0.99-1
- convert translate(1) manual to unicode (it contains non-ascii in examples)
- rename service.xml(5) manual to libtranslate(5)

* Fri Jul 29 2005 Dmitry Butskoy <Dmitry@Butskoy.name>
- Add Promt (www.online-translator.com) service.

* Fri Jul 22 2005 Dmitry Butskoy <Dmitry@Butskoy.name> 
- Initial release.
